Bug 68190 - Source RPM won't build
Source RPM won't build
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: gmp (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-07-07 17:04 EDT by jbowman
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-08 01:56:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jbowman 2002-07-07 17:04:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020625

Description of problem:
See the output below. Looks like a problem with the configure macro using --host?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Attempt to build gmp-4.1.2.src.rpm, either via rpmbuild --rebuild or by
installing and building from specfile.
2.
3.
	

Additional info:

[root@merlin root]# rpmbuild --rebuild gmp-4.1-2.src.rpm 
Installing gmp-4.1-2.src.rpm
warning: InstallSourcePackage: Header V3 DSA signature: NOKEY, key ID 897da07a
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.83376
+ umask 022
+ cd /usr/src/redhat/BUILD
+ LANG=C
+ export LANG
+ cd /usr/src/redhat/BUILD
+ rm -rf gmp-4.1
+ /usr/bin/bzip2 -dc /usr/src/redhat/SOURCES/gmp-4.1.tar.bz2
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd gmp-4.1
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chown -Rhf root .
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chgrp -Rhf root .
+ /bin/chmod -Rf a+rX,g-w,o-w .
+ echo 'Patch #0 (gmp-4.0.1-s390.patch):'
Patch #0 (gmp-4.0.1-s390.patch):
+ patch -p1 -s
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.21903
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd gmp-4.1
+ LANG=C
+ export LANG
+ CFLAGS=-O2 -march=i386 -mcpu=i686
+ export CFLAGS
+ CXXFLAGS=-O2 -march=i386 -mcpu=i686
+ export CXXFLAGS
+ FFLAGS=-O2 -march=i386 -mcpu=i686
+ export FFLAGS
+ ./configure --host=i686-pc-linux-gnu --build=i686-pc-linux-gnu
--target=i386-redhat-linux-gnu --program-prefix= --prefix=/usr
--exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
--datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib
--libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/usr/com
--mandir=/usr/share/man --infodir=/usr/share/info --enable-mpbsd
configure: error: --target is not appropriate for GMP
Use --build=CPU-VENDOR-OS if you need to specify your CPU and/or system
explicitly.  Use --host if cross-compiling (see "Installing GMP" in the
manual for more on this).
error: Bad exit status from /var/tmp/rpm-tmp.21903 (%build)


RPM build errors:
    InstallSourcePackage: Header V3 DSA signature: NOKEY, key ID 897da07a
    Bad exit status from /var/tmp/rpm-tmp.21903 (%build)
[root@merlin root]#
Comment 1 Nathan G. Grennan 2002-07-07 18:24:01 EDT
I think it is more likely it is the --target, as the error message below says.

configure: error: --target is not appropriate for GMP



Comment 2 jbowman 2002-07-07 18:28:35 EDT
Err, yeah,  what chaos said. I'm blind. :)
Comment 3 Trond Eivind Glomsrxd 2002-07-08 12:25:47 EDT
Fixed in gmp-4.1-3

Note You need to log in before you can comment on or make changes to this bug.